---
title: UIEvent()
slug: Web/API/UIEvent/UIEvent
tags:
  - API
  - Constructor
  - Reference
  - UIEvent
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>UIEvent()</code></strong> constructor creates a new {{domxref("UIEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>event</em> = new UIEvent(<em>typeArg</em> [, <em>UIEventInit</em>])</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>typeArg</code></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
 <dt><code>UIEventInit</code> {{optional_inline}}</dt>
</dl>

<dl>
 <dd>Is a <code>UIEventInit</code> dictionary, having the following fields:

 <ul>
  <li><strong><code>detail</code></strong>: optional and defaulting to <code>0</code>, of type <code>long</code>, that is a event-dependant value associated with the event. {{domxref("UIEvent.detail")}} lists the semantic for standard events.</li>
  <li><strong><code>view</code></strong>: optional and defaulting to <code>null</code>, of type {{domxref("WindowProxy")}}, that is the {{domxref("Window")}} associated with the event .</li>
  <li><strong><code>sourceCapabilities</code></strong>: {{non-standard_inline}} An instance of the {{domxref("InputDeviceCapabilities")}} interface which provides information about the physical device responsible for generating a touch event.</li>
 </ul>

 <div class="note">
 <p>The <code>UIEventInit</code> dictionary also accepts fields from the {{domxref("Event.Event", "EventInit")}} dictionary.</p>
 </div>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('InputDeviceCapabilities')}}</td>
   <td>{{Spec2('InputDeviceCapabilities')}}</td>
   <td>Added <code>sourceCapabilities</code> property.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#interface-UIEvent','UIEvent()')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.UIEvent.UIEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("UIEvent")}}, the interface of the objects it constructs.</li>
</ul>
